﻿using System;
using System.Collections.Generic;
using Foundation;
using Syncfusion.SfRotator.iOS;
using UIKit;

namespace Rotator
{
    public partial class ViewController : UIViewController
    {
        protected ViewController(IntPtr handle) : base(handle)
        {
            // Note: this .ctor should not contain any initialization logic.
        }

        public override void ViewDidLoad()
        {
            SfRotator rotator = new SfRotator();
            NSMutableArray<SfRotatorItem> collection = new NSMutableArray<SfRotatorItem>();
            string[] images = { "movie1", "movie2", "movie3", "movie4", "movie5" };
            for (int i = 0; i < 5; i++)
            {
                SfRotatorItem sfRotatorItem = new SfRotatorItem();
                UIImageView imageView = new UIImageView();
                imageView.Image = UIImage.FromBundle(images[i] + ".jpg");
                sfRotatorItem.View = imageView;
                collection.Add(sfRotatorItem);
            }

            rotator.SelectedIndex = 2;
            rotator.DataSource = collection;
            rotator.Frame = View.Frame;
            this.Add(rotator);
            base.ViewDidLoad();
            // Perform any additional setup after loading the view, typically from a nib.
        }

        public override void DidReceiveMemoryWarning()
        {
            base.DidReceiveMemoryWarning();
            // Release any cached data, images, etc that aren't in use.
        }
    }
}
